GroovyPageAttributes (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib
[Java] Class GroovyPageAttributes

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.grails.web.util.AbstractTypeConvertingMap
              org.codehaus.groovy.grails.web.util.TypeConvertingMap
                  org.codehaus.groovy.grails.web.taglib.GroovyPageAttributes

All Implemented Interfaces:
  java.lang.Cloneable

    @java.lang.SuppressWarnings({ "unchecked", "rawtypes" })
    public class GroovyPageAttributes
    extends TypeConvertingMap

Defines attributes passed to a GSP tag. Mixes in TypeConvertingMap for ease of type conversion.

Authors:
  Graeme Rocher
  Lari Hotari

Since:
  1.2

Field Summary

Fields inherited from class AbstractTypeConvertingMap
wrappedMap

Constructor Summary
`GroovyPageAttributes()`
`GroovyPageAttributes(java.util.Map map)`
`GroovyPageAttributes(java.util.Map map, boolean gspTagSyntaxCall)`

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `isGspTagSyntaxCall()`
`void` | `setGspTagSyntaxCall(boolean gspTagSyntaxCall)`

Methods inherited from class TypeConvertingMap
boolean, boolean, byte, byte, char, char, char, clone, double, double, float, float, int, int, long, long, short, short

Methods inherited from class AbstractTypeConvertingMap
asBoolean, clear, containsKey, containsValue, date, date, date, entrySet, equals, get, getBoolean, getBoolean, getByte, getByte, getChar, getChar, getDate, getDate, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getList, getLong, getLong, getShort, getShort, hashCode, isEmpty, keySet, list, put, putAll, remove, size, toString, values

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Constructor Detail

### GroovyPageAttributes

    public GroovyPageAttributes()

### GroovyPageAttributes

    public GroovyPageAttributes(java.util.Map map)

### GroovyPageAttributes

    public GroovyPageAttributes(java.util.Map map, boolean gspTagSyntaxCall)

Method Detail

### clone

    @java.lang.Override
    public java.lang.Object clone()

### isGspTagSyntaxCall

    public boolean isGspTagSyntaxCall()

### setGspTagSyntaxCall

    public void setGspTagSyntaxCall(boolean gspTagSyntaxCall)

Groovy Documentation